Follow

What are the system requirements to join a session?

1. https://support.newrow.com/en/article/newrow-smart-recommended-system-requirements

  1. Windows 7 and above, running Chrome, Firefox or Edge. Internet Explorer is not
  2. MacOS 10.9 or later, running Chrome and Firefox. Safari is not
  3. iPhone 5S or later, running iOS 11 and up
  4. Android 4.0 or later, running Chrome

Additionally, we advise to use the Test Link to ensure your device holds all proper requirements:

https://smart.newrow.com/room/testPage/

 

0 Comments

Please sign in to leave a comment.
Powered by Zendesk